Package net.commoble.jumbofurnace.recipes

# Class InFlightRecipe

java.lang.Object
net.commoble.jumbofurnace.recipes.InFlightRecipe

public class InFlightRecipe extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.Codec<InFlightRecipe>`
`CODEC`
`static final net.minecraft.network.codec.StreamCodec<net.minecraft.network.RegistryFriendlyByteBuf,InFlightRecipe>`
`STREAM_CODEC`

## Constructor Summary

Constructors
Constructor
Description
`InFlightRecipe(JumboFurnaceRecipe recipe, List<net.minecraft.world.item.ItemStack> inputs)`
`InFlightRecipe(JumboFurnaceRecipe recipe, List<net.minecraft.world.item.ItemStack> inputs, int progress)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`incrementProgress()`
`List<net.minecraft.world.item.ItemStack>`
`inputs()`
`int`
`progress()`
`JumboFurnaceRecipe`
`recipe()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CODEC

public static final com.mojang.serialization.Codec<InFlightRecipe> CODEC

### STREAM_CODEC

public static final net.minecraft.network.codec.StreamCodec<net.minecraft.network.RegistryFriendlyByteBuf,InFlightRecipe> STREAM_CODEC

## Constructor Details

### InFlightRecipe

public InFlightRecipe(JumboFurnaceRecipe recipe, List<net.minecraft.world.item.ItemStack> inputs)

### InFlightRecipe

public InFlightRecipe(JumboFurnaceRecipe recipe, List<net.minecraft.world.item.ItemStack> inputs, int progress)

## Method Details

### recipe

public JumboFurnaceRecipe recipe()

### inputs

public List<net.minecraft.world.item.ItemStack> inputs()

### progress

public int progress()

### incrementProgress

public boolean incrementProgress()